import { InputFilter } from './inputFilter';
import { FilterArguments } from '../interfaces/filterArguments.interface';
export declare class InputMaskFilter extends InputFilter {
    protected _inputMask: string;
    /** Initialize the Filter */
    constructor();
    /** Getter of the input mask, when provided */
    get inputMask(): string;
    /**
     * Override the Filter init used by SlickGrid
     */
    init(args: FilterArguments): void;
    /**
     * Event handler to cover the following (keyup, change, mousewheel & spinner)
     * We will trigger the Filter Service callback from this handler
     */
    protected handleInputChange(event: Event): void;
    /** From a regular string, we will use the mask to output a new string */
    protected maskValue(inputValue: string): string;
    /** From a masked string, we will remove the mask and make a regular string again */
    protected unmaskValue(maskedValue: string): string;
}
